Skip to main content
GET
/
execution
/
positions
Get user positions
curl --request GET \
  --url https://api.agg.market/execution/positions \
  --header 'Authorization: Bearer <token>' \
  --header 'x-app-id: <api-key>'
{
  "data": [
    {
      "targetMarketId": "<string>",
      "venueMarket": {
        "question": "<string>",
        "image": "<string>",
        "venueMarketOutcomes": [
          {
            "label": "<string>",
            "title": "<string>",
            "venueBreakdown": [
              {
                "venue": "kalshi",
                "venueMarketId": "<string>",
                "size": 123
              }
            ],
            "totalSize": 123,
            "avgEntryPrice": 123,
            "currentPrice": 123,
            "totalValue": 123,
            "unrealizedPnl": 123,
            "unrealizedPnlPercent": 123
          }
        ]
      }
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

200

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required